Summary: Utilities for managing shadow password files and user/group accounts.
Name: shadow-utils
Version: 4.0.3
Release: 21tr
Group: Trustix Official
License: BSD
Source0: ftp://ftp.pld.org.pl/software/shadow/shadow-%{version}.tar.bz2
Source1: shadow-4.0.3.login.defs
Source2: shadow-970616.useradd
Source3: shadow.pamd
Source4: shadow-adduser.8
Source5: shadow-grpconv.8
Source6: shadow-grpunconv.8
Source7: shadow-pwunconv.8
Source8: http://www.nsa.gov/selinux/patches/shadow-utils-selinux.patch.gz
Patch0: shadow-4.0.3-redhat.patch
Patch1: shadow-4.0.3-noinst.patch
Patch2: shadow-4.0.3-nscd.patch
Patch3: shadow-19990827-group.patch
Patch4: shadow-4.0.3-vipw.patch
# Not applied
Patch5: shadow-4.0.3-mailspool.patch
Patch6: shadow-20000902-usg.patch
Patch7: shadow-4.0.3-shadow-man.patch
Patch8: shadow-4.0.3-unlock.patch
BuildRequires: pam-devel
Buildroot: /var/tmp/%{name}-root

%description
The shadow-utils package includes the necessary programs for
converting UNIX password files to the shadow password format, plus
programs for managing user and group accounts.  The pwconv command
converts passwords to the shadow password format.  The pwunconv command
unconverts shadow passwords and generates an npasswd file (a standard
UNIX password file).  The pwck command checks the integrity of
password and shadow files.  The lastlog command prints out the last
login times for all users.  The useradd, userdel and usermod commands
are used for managing user accounts.  The groupadd, groupdel and
groupmod commands are used for managing group accounts.

%prep
%setup -q -n shadow-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
## %patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%{?use_selinux: zcat %{SOURCE8} | patch -p1}

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{_prefix} \
	--mandir=%{_mandir} \
	--disable-desrpc \
	--disable-shared \
	--with-libcrypt \
	--without-libcrack \
        --with-libpam \
	--disable-nls
make 

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT mkdir_p="mkdir -p" install

install -d -m 750 $RPM_BUILD_ROOT/etc/default
install -d -m 750 $RPM_BUILD_ROOT/etc/pam.d
install -d -m 750 $RPM_BUILD_ROOT%{_mandir}/man8

install -m 0644 %{SOURCE1} $RPM_BUILD_ROOT/etc/login.defs
install -m 0600 %{SOURCE2} $RPM_BUILD_ROOT/etc/default/useradd
install -m 0644 %{SOURCE3} $RPM_BUILD_ROOT/etc/pam.d/chage
install -m 0644 %{SOURCE3} $RPM_BUILD_ROOT/etc/pam.d/useradd
install -m 0644 %{SOURCE3} $RPM_BUILD_ROOT/etc/pam.d/shadow
install -m 0644 %{SOURCE4} $RPM_BUILD_ROOT%{_mandir}/man8
install -m 0644 %{SOURCE5} $RPM_BUILD_ROOT%{_mandir}/man8
install -m 0644 %{SOURCE6} $RPM_BUILD_ROOT%{_mandir}/man8
install -m 0644 %{SOURCE7} $RPM_BUILD_ROOT%{_mandir}/man8

pushd  $RPM_BUILD_ROOT/usr/sbin ; {
  ln -s useradd adduser
} ; popd
rm $RPM_BUILD_ROOT/%{_bindir}/chfn
rm $RPM_BUILD_ROOT/%{_bindir}/chsh
rm $RPM_BUILD_ROOT/%{_bindir}/expiry
rm $RPM_BUILD_ROOT/bin/groups
rm $RPM_BUILD_ROOT/bin/login
rm $RPM_BUILD_ROOT/%{_bindir}/newgrp
rm $RPM_BUILD_ROOT/%{_bindir}/passwd
rm $RPM_BUILD_ROOT/bin/su
rm $RPM_BUILD_ROOT/bin/sg
rm $RPM_BUILD_ROOT/%{_sbindir}/dpasswd
rm $RPM_BUILD_ROOT/%{_sbindir}/logoutd
rm $RPM_BUILD_ROOT/%{_sbindir}/mkpasswd
rm $RPM_BUILD_ROOT/%{_sbindir}/vipw

rm $RPM_BUILD_ROOT/%{_mandir}/man1/chfn.*
rm $RPM_BUILD_ROOT/%{_mandir}/man1/chsh.*
rm $RPM_BUILD_ROOT/%{_mandir}/man1/expiry.*
rm $RPM_BUILD_ROOT/%{_mandir}/man1/login.*
rm $RPM_BUILD_ROOT/%{_mandir}/man1/newgrp.*
rm $RPM_BUILD_ROOT/%{_mandir}/man1/passwd.*
rm $RPM_BUILD_ROOT/%{_mandir}/man1/su.*
rm $RPM_BUILD_ROOT/%{_mandir}/man1/sg.*
rm $RPM_BUILD_ROOT/%{_mandir}/man3/getspnam.3*
rm $RPM_BUILD_ROOT/%{_mandir}/man5/limits.*
rm $RPM_BUILD_ROOT/%{_mandir}/man5/login.access.*
rm $RPM_BUILD_ROOT/%{_mandir}/man5/login.defs.*
rm $RPM_BUILD_ROOT/%{_mandir}/man5/passwd.*
rm $RPM_BUILD_ROOT/%{_mandir}/man5/porttime.*
rm $RPM_BUILD_ROOT/%{_mandir}/man5/suauth.*
rm $RPM_BUILD_ROOT/%{_mandir}/man8/logoutd.*
rm $RPM_BUILD_ROOT/%{_mandir}/man8/mkpasswd.*
rm $RPM_BUILD_ROOT/%{_mandir}/man8/vipw.*
rm $RPM_BUILD_ROOT/%{_mandir}/man8/vigr.*

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc doc/ANNOUNCE ChangeLog NEWS doc/HOWTO
%doc doc/LICENSE doc/README doc/README.linux
%dir /etc/default
%attr(0644,root,root)	%config /etc/login.defs
%attr(0600,root,root)	%config /etc/default/useradd
%config /etc/pam.d/*
/usr/sbin/*
/usr/bin/*
/lib/*
%{_mandir}/man[1-8]/*


%changelog
* Thu Feb 12 2004 Oystein Viggen <oysteivi at trustix dot org> 4.0.3-19tr
- Tell make install about mkdir -p

* Mon Feb  9 2004 Oystein Viggen <oysteivi at trustix dot org> 4.0.3-18tr
- Conditionally patch for selinux support

* Mon Dec 15 2003 Erlend Midttun <erlendbm at trustix dot org> 4.0.3-17tr
- Removed getspnam.3 as it is now in man-pages.

* Thu Dec 11 2003 Erlend Midttun <erlendbm at trustix dot org> 4.0.3-16tr
- Big rebuild

* Wed Jun 25 2003 Erlend Midttun <erlendbm at trustix dot com> 4.0.3-15tr
- Now create home directories mode 701.

* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 4.0.3-14tr
- Big rebuild

* Fri Jun 13 2003 Erlend Midttun <erlendbm at trustix dot com> 4.0.3-13em
- Changed default home directorypath to /home/users.

* Tue Jun 10 2003 Erlend Midttun <erlendbm at trustix dot com> 4.0.3-12em
- Removed stale symlinks /bin/sg and /bin/vipw.

* Tue May 27 2003 Erlend Midttun <erlendbm at trustix dot com> 4.0.3-11em
- No longer PreReq setup.

* Sat May 24 2003 Erlend Midttun <erlendbm at trustix dot com> 4.0.3-10em
- No longer create /var/spool/mai/username
- Now even unlocks the /etc/ files.

* Tue Apr 22 2003 Erlend Midttun <erlendbm at trustix dot com> 4.0.3-9em
- Removed some programs which does not provide all we need.

* Thu Apr 10 2003 Christian H. Toldnes <christht at trustix dot com> 4.0.3-8ct
- Removed suauth man page.

* Wed Apr  9 2003 Erlend Midttun <erlendbm at trustix dot com> 4.0.3-7em
- Added PreReq on setup.

* Mon Mar 24 2003 Erlend Midttun <erlendbm at trustix dot com> 4.0.3-6em
- Rebuilt against glibc 2.3.2.

* Sun Jan 12 2003 Goetz Bock <bock at trustix dot org> shadow-utils-4.0.3-5bg
- use pam (should fix bug 13 and bug 21)
- diable libcrack, as pam provides this
- wrote/updated the pam config files and the login.defs
- won't fix bug 14: upstream says one should use the -m option

* Thu Nov 14 2002 Erlend Midttun <erlendbm at trustix dot com> 4.0.3-4em
- Removed passwd

* Mon Jul 22 2002 Nico Erfurth <masta at trustix dot org> 4.0.3-3ne
- Moved pam-files from util-linux to this package

* Thu Jul 18 2002 Christian H. Toldnes <christht at trustix dot com> 4.0.3-2ct
- fixed login.defs to fit new useradd

* Tue Jul 16 2002 Christian H. Toldnes <christht at trustix dot com> 4.0.3-1ct
- New upstream version: 4.0.3
- No NLS
- Rebuilt for TSL 2.0
- Obsoletes passwd.

* Tue Jun 12 2001 Oystein Viggen <oysteivi at trustix dot com>
- New upstream version: 20000826

* Fri Mar 30 2001 Erlend Midttun <erlendbm at trustix dot com>
- Changed version number.

* Tue Jan 25 2000 Tore Olsen <toreo at trustix dot com>
- moved /usr/man to /usr/share/man for FHS compliance
- removed part of redhat-patch which created a new group for each user
- removed locale files

* Wed Sep 22 1999 Cristian Gafton <gafton@redhat.com>
- fix segfault for userdel when the primary group for the user is not
  defined

* Tue Sep 21 1999 Cristian Gafton <gafton@redhat.com>
- Serial: 1 because now we are using 19990827 (why the heck can't they have
  a normal version just like everybody else?!)
- ported all patches to the new code base

* Thu Apr 15 1999 Bill Nottingham <notting@redhat.com>
- SIGHUP nscd from usermod, too

* Fri Apr 09 1999 Michael K. Johnson <johnsonm@redhat.com>
- added usermod password locking from Chris Adams <cadams@ro.com>

* Thu Apr 08 1999 Bill Nottingham <notting@redhat.com>
- have things that modify users/groups SIGHUP nscd on exit

* Wed Mar 31 1999 Michael K. Johnson <johnsonm@redhat.com>
- have userdel remove user private groups when it is safe to do so
- allow -f to force user removal even when user appears busy in utmp

* Tue Mar 23 1999 Preston Brown <pbrown@redhat.com>
- edit out unused CHFN fields from login.defs.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 7)

* Wed Jan 13 1999 Bill Nottingham <notting@redhat.com>
- configure fix for arm

* Wed Dec 30 1998 Cristian Gafton <gafton@redhat.com>
- build against glibc 2.1

* Fri Aug 21 1998 Jeff Johnson <jbj@redhat.com>
- Note that /usr/sbin/mkpasswd conflicts with /usr/bin/mkpasswd;
  one of these (I think /usr/sbin/mkpasswd but other opinions are valid)
  should probably be renamed.  In any case, mkpasswd.8 from this package
  needs to be installed. (problem #823)

* Fri May 08 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Apr 21 1998 Cristian Gafton <gafton@redhat.com>
- updated to 980403
- redid the patches

* Tue Dec 30 1997 Cristian Gafton <gafton@redhat.com>
- updated the spec file
- updated the patch so that new accounts created on shadowed system won't
  confuse pam_pwdb anymore ('!!' default password instead on '!')
- fixed a bug that made useradd -G segfault
- the check for the ut_user is now patched into configure

* Thu Nov 13 1997 Erik Troan <ewt@redhat.com>
- added patch for XOPEN oddities in glibc headers
- check for ut_user before checking for ut_name -- this works around some
  confusion on glibc 2.1 due to the utmpx header not defining the ut_name
  compatibility stuff. I used a gross sed hack here because I couldn't make
  automake work properly on the sparc (this could be a glibc 2.0.99 problem
  though). The utuser patch works fine, but I don't apply it.
- sleep after running autoconf

* Thu Nov 06 1997 Cristian Gafton <gafton@redhat.com>
- added forgot lastlog command to the spec file

* Mon Oct 26 1997 Cristian Gafton <gafton@redhat.com>
- obsoletes adduser

* Thu Oct 23 1997 Cristian Gafton <gafton@redhat.com>
- modified groupadd; updated the patch

* Fri Sep 12 1997 Cristian Gafton <gafton@redhat.com>
- updated to 970616
- changed useradd to meet RH specs
- fixed some bugs

* Tue Jun 17 1997 Erik Troan <ewt@redhat.com>
- built against glibc
